DecoderConfigValues.SymbologyID

com.hsm.barcode

## Class DecoderConfigValues.SymbologyID

- java.lang.Object
- - com.hsm.barcode.DecoderConfigValues.SymbologyID

- Enclosing class:
    DecoderConfigValues

      public static final class DecoderConfigValues.SymbologyID
      extends java.lang.Object

  Symbology ID class that defines the supported symbology IDs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SYM_ALL` All Symbologies
    `static int` | `SYM_AUSPOST` Australian Post [2D Postal]
    `static int` | `SYM_AZTEC` Aztec Code
    `static int` | `SYM_BPO` British Post [2D Postal]
    `static int` | `SYM_CANPOST` Canadian Post [2D Postal]
    `static int` | `SYM_CHINAPOST` China Post
    `static int` | `SYM_CODABAR` Codabar
    `static int` | `SYM_CODABLOCK` Codablock F
    `static int` | `SYM_CODE11` Code 11
    `static int` | `SYM_CODE128` Code 128
    `static int` | `SYM_CODE16K` Deprecated. Code 16K
    `static int` | `SYM_CODE32` Code 32 Italian Pharmacy Code
    `static int` | `SYM_CODE39` Code 39
    `static int` | `SYM_CODE49` Deprecated. Code49
    `static int` | `SYM_CODE93` Code 93
    `static int` | `SYM_COMPOSITE` EAN UCC Composite
    `static int` | `SYM_COUPONCODE` Coupon Code
    `static int` | `SYM_DATAMATRIX` Data Matrix
    `static int` | `SYM_DUTCHPOST` KIX (Netherlands) Post [2D Postal]
    `static int` | `SYM_EAN13` EAN-13
    `static int` | `SYM_EAN8` EAN-8
    `static int` | `SYM_GRIDMATRIX` Grid Matrix
    `static int` | `SYM_GS1_128` GS1 128
    `static int` | `SYM_HANXIN` Hanxin
    `static int` | `SYM_IATA25` Straight 2 of 5 IATA (two-bar start/stop)
    `static int` | `SYM_IDTAG` UPU 4 State [2D Postal]
    `static int` | `SYM_INT25` Interleaved 2 of 5
    `static int` | `SYM_ISBT` ISBT 128
    `static int` | `SYM_JAPOST` Japanese Post [2D Postal]
    `static int` | `SYM_KOREAPOST` Korean Post
    `static int` | `SYM_LABEL` Deprecated. Label
    `static int` | `SYM_MATRIX25` Matrix 2 of 5
    `static int` | `SYM_MAXICODE` Maxicode
    `static int` | `SYM_MICROPDF` Micro PDF
    `static int` | `SYM_MSI` MSI
    `static int` | `SYM_OCR` Deprecated. OCR
    `static int` | `SYM_PDF417` PDF417
    `static int` | `SYM_PLANET` Planet Code [2D Postal]
    `static int` | `SYM_PLESSEY` Deprecated. Plessey Code
    `static int` | `SYM_POSICODE` Deprecated. Posicode
    `static int` | `SYM_POSTALS` Used to default and disable postal codes
    `static int` | `SYM_POSTNET` Deprecated. Postnet
    `static int` | `SYM_QR` QR Code
    `static int` | `SYM_RSS` Reduced Space Symbology (RSS-14, RSS Limited, RSS Expanded)
    `static int` | `SYM_STRT25` Straight 2 of 5 Industrial (three-bar start/stop)
    `static int` | `SYM_TELEPEN` Telepen
    `static int` | `SYM_TLCODE39` TCIF Linked Code 39 (TLC39)
    `static int` | `SYM_TRIOPTIC` Trioptic Code
    `static int` | `SYM_UPCA` UPC-A
    `static int` | `SYM_UPCE0` UPC-E0
    `static int` | `SYM_UPCE1` UPC-E1
    `static int` | `SYM_US_POSTALS1` Used to enable SYM_PLANET, SYM_POSTNET, SYM_USPS4CB & SYM_IDTAG
    `static int` | `SYM_USPS4CB` USPS 4 State (Intelligent Mail Barcode) [2D Postal]
    `static int` | `SYMBOLOGIES` Number of Symbologies

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYM_AZTEC

          public static final int SYM_AZTEC

      Aztec Code
      See Also:
        Constant Field Values

    - #### SYM_CODABAR

          public static final int SYM_CODABAR

      Codabar
      See Also:
        Constant Field Values

    - #### SYM_CODE11

          public static final int SYM_CODE11

      Code 11
      See Also:
        Constant Field Values

    - #### SYM_CODE128

          public static final int SYM_CODE128

      Code 128
      See Also:
        Constant Field Values

    - #### SYM_CODE39

          public static final int SYM_CODE39

      Code 39
      See Also:
        Constant Field Values

    - #### SYM_CODE49

          public static final int SYM_CODE49

      Deprecated. Code49
      See Also:
        Constant Field Values

    - #### SYM_CODE93

          public static final int SYM_CODE93

      Code 93
      See Also:
        Constant Field Values

    - #### SYM_COMPOSITE

          public static final int SYM_COMPOSITE

      EAN UCC Composite
      See Also:
        Constant Field Values

    - #### SYM_DATAMATRIX

          public static final int SYM_DATAMATRIX

      Data Matrix
      See Also:
        Constant Field Values

    - #### SYM_EAN8

          public static final int SYM_EAN8

      EAN-8
      See Also:
        Constant Field Values

    - #### SYM_EAN13

          public static final int SYM_EAN13

      EAN-13
      See Also:
        Constant Field Values

    - #### SYM_INT25

          public static final int SYM_INT25

      Interleaved 2 of 5
      See Also:
        Constant Field Values

    - #### SYM_MAXICODE

          public static final int SYM_MAXICODE

      Maxicode
      See Also:
        Constant Field Values

    - #### SYM_MICROPDF

          public static final int SYM_MICROPDF

      Micro PDF
      See Also:
        Constant Field Values

    - #### SYM_OCR

          public static final int SYM_OCR

      Deprecated. OCR
      See Also:
        Constant Field Values

    - #### SYM_PDF417

          public static final int SYM_PDF417

      PDF417
      See Also:
        Constant Field Values

    - #### SYM_POSTNET

          public static final int SYM_POSTNET

      Deprecated. Postnet
      See Also:
        Constant Field Values

    - #### SYM_QR

          public static final int SYM_QR

      QR Code
      See Also:
        Constant Field Values

    - #### SYM_RSS

          public static final int SYM_RSS

      Reduced Space Symbology (RSS-14, RSS Limited, RSS Expanded)
      See Also:
        Constant Field Values

    - #### SYM_UPCA

          public static final int SYM_UPCA

      UPC-A
      See Also:
        Constant Field Values

    - #### SYM_UPCE0

          public static final int SYM_UPCE0

      UPC-E0
      See Also:
        Constant Field Values

    - #### SYM_UPCE1

          public static final int SYM_UPCE1

      UPC-E1
      See Also:
        Constant Field Values

    - #### SYM_ISBT

          public static final int SYM_ISBT

      ISBT 128
      See Also:
        Constant Field Values

    - #### SYM_BPO

          public static final int SYM_BPO

      British Post [2D Postal]
      See Also:
        Constant Field Values

    - #### SYM_CANPOST

          public static final int SYM_CANPOST

      Canadian Post [2D Postal]
      See Also:
        Constant Field Values

    - #### SYM_AUSPOST

          public static final int SYM_AUSPOST

      Australian Post [2D Postal]
      See Also:
        Constant Field Values

    - #### SYM_IATA25

          public static final int SYM_IATA25

      Straight 2 of 5 IATA (two-bar start/stop)
      See Also:
        Constant Field Values

    - #### SYM_CODABLOCK

          public static final int SYM_CODABLOCK

      Codablock F
      See Also:
        Constant Field Values

    - #### SYM_JAPOST

          public static final int SYM_JAPOST

      Japanese Post [2D Postal]
      See Also:
        Constant Field Values

    - #### SYM_PLANET

          public static final int SYM_PLANET

      Planet Code [2D Postal]
      See Also:
        Constant Field Values

    - #### SYM_DUTCHPOST

          public static final int SYM_DUTCHPOST

      KIX (Netherlands) Post [2D Postal]
      See Also:
        Constant Field Values

    - #### SYM_MSI

          public static final int SYM_MSI

      MSI
      See Also:
        Constant Field Values

    - #### SYM_TLCODE39

          public static final int SYM_TLCODE39

      TCIF Linked Code 39 (TLC39)
      See Also:
        Constant Field Values

    - #### SYM_TRIOPTIC

          public static final int SYM_TRIOPTIC

      Trioptic Code
      See Also:
        Constant Field Values

    - #### SYM_CODE32

          public static final int SYM_CODE32

      Code 32 Italian Pharmacy Code
      See Also:
        Constant Field Values

    - #### SYM_STRT25

          public static final int SYM_STRT25

      Straight 2 of 5 Industrial (three-bar start/stop)
      See Also:
        Constant Field Values

    - #### SYM_MATRIX25

          public static final int SYM_MATRIX25

      Matrix 2 of 5
      See Also:
        Constant Field Values

    - #### SYM_PLESSEY

          public static final int SYM_PLESSEY

      Deprecated. Plessey Code
      See Also:
        Constant Field Values

    - #### SYM_CHINAPOST

          public static final int SYM_CHINAPOST

      China Post
      See Also:
        Constant Field Values

    - #### SYM_KOREAPOST

          public static final int SYM_KOREAPOST

      Korean Post
      See Also:
        Constant Field Values

    - #### SYM_TELEPEN

          public static final int SYM_TELEPEN

      Telepen
      See Also:
        Constant Field Values

    - #### SYM_CODE16K

          public static final int SYM_CODE16K

      Deprecated. Code 16K
      See Also:
        Constant Field Values

    - #### SYM_POSICODE

          public static final int SYM_POSICODE

      Deprecated. Posicode
      See Also:
        Constant Field Values

    - #### SYM_COUPONCODE

          public static final int SYM_COUPONCODE

      Coupon Code
      See Also:
        Constant Field Values

    - #### SYM_USPS4CB

          public static final int SYM_USPS4CB

      USPS 4 State (Intelligent Mail Barcode) [2D Postal]
      See Also:
        Constant Field Values

    - #### SYM_IDTAG

          public static final int SYM_IDTAG

      UPU 4 State [2D Postal]
      See Also:
        Constant Field Values

    - #### SYM_LABEL

          public static final int SYM_LABEL

      Deprecated. Label
      See Also:
        Constant Field Values

    - #### SYM_GS1_128

          public static final int SYM_GS1_128

      GS1 128
      See Also:
        Constant Field Values

    - #### SYM_HANXIN

          public static final int SYM_HANXIN

      Hanxin
      See Also:
        Constant Field Values

    - #### SYM_GRIDMATRIX

          public static final int SYM_GRIDMATRIX

      Grid Matrix
      See Also:
        Constant Field Values

    - #### SYM_POSTALS

          public static final int SYM_POSTALS

      Used to default and disable postal codes
      See Also:
        Constant Field Values

    - #### SYM_US_POSTALS1

          public static final int SYM_US_POSTALS1

      Used to enable SYM_PLANET, SYM_POSTNET, SYM_USPS4CB & SYM_IDTAG
      See Also:
        Constant Field Values

    - #### SYMBOLOGIES

          public static final int SYMBOLOGIES

      Number of Symbologies
      See Also:
        Constant Field Values

    - #### SYM_ALL

          public static final int SYM_ALL

      All Symbologies
      See Also:
        Constant Field Values